"""
This module registers the model classes defined in :py:mod:`domains.models`
with the django admin site.

"""
from django.contrib import admin

from .models import (
    DNSComment,
    DNSCryptoKey,
    DNSDomain,
    DNSDomainMetadata,
    DNSRecord,
    DNSSupermaster,
    DNSTSIGKey,
    HostingDomain,
    MailDomain,
)

admin.site.register(MailDomain)
admin.site.register(HostingDomain)
admin.site.register(DNSComment)
admin.site.register(DNSCryptoKey)
admin.site.register(DNSDomain)
admin.site.register(DNSDomainMetadata)
admin.site.register(DNSRecord)
admin.site.register(DNSSupermaster)
admin.site.register(DNSTSIGKey)
