from __future__ import absolute_import

from django.conf.urls import include, url
from django.conf import settings

from django.contrib import admin
from django.contrib.flatpages import views
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

admin.autodiscover()

urlpatterns = [
    url(r'', include('dashboard.urls')),
    url(r'^accounts/', include('allauth.urls')),
    url(r'^database/', include('userdbs.urls')),
    url(r'^domains/', include('domains.urls')),
    url(r'^hosting/', include('hostingpackages.urls')),
    url(r'^website/', include('websites.urls')),
    url(r'^mail/', include('managemails.urls')),
    url(r'^osuser/', include('osusers.urls')),
    url(r'^admin/', admin.site.urls),
    url(r'^contact/', include('contact_form.urls')),
    url(r'^impressum/$', views.flatpage, {
        'url': '/impressum/'
    }, name='imprint'),
]

# Uncomment the next line to serve media files in dev.
# urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if settings.DEBUG:  # pragma: no cover
    import debug_toolbar

    urlpatterns = [
        url(r'^__debug__/', include(debug_toolbar.urls)),
    ] + staticfiles_urlpatterns() + urlpatterns
