"""
This module defines the URL patterns for hosting package related views.

"""
from __future__ import absolute_import, unicode_literals

from django.conf.urls import url

from .views import (
    AddHostingOption,
    AllCustomerHostingPackageList,
    CreateCustomerHostingPackage,
    CreateHostingPackage,
    CustomerHostingPackageDetails,
    CustomerHostingPackageList,
    HostingOptionChoices,
)


urlpatterns = [
    url(r'^create$', CreateHostingPackage.as_view(),
        name='create_hosting_package'),
    url(r'^allpackages/',
        AllCustomerHostingPackageList.as_view(), name='all_hosting_packages'),
    url(r'^(?P<user>[-\w0-9@.+_]+)/$',
        CustomerHostingPackageList.as_view(), name='hosting_packages'),
    url(r'^(?P<user>[-\w0-9@.+_]+)/create$',
        CreateCustomerHostingPackage.as_view(),
        name='create_customer_hosting_package'),
    url(r'^(?P<user>[-\w0-9@.+_]+)/(?P<pk>\d+)/$',
        CustomerHostingPackageDetails.as_view(),
        name='hosting_package_details'),
    url(r'^(?P<pk>\d+)/option-choices$',
        HostingOptionChoices.as_view(), name='hosting_option_choices'),
    url(r'^(?P<package>\d+)/add-option/(?P<type>\w+)/(?P<optionid>\d+)$',
        AddHostingOption.as_view(), name='add_hosting_option'),
]
