"""
This module defines the URL patterns for operating system user related views.

"""
from __future__ import absolute_import, unicode_literals

from django.conf.urls import url

from .views import (
    AddSshPublicKey,
    DeleteSshPublicKey,
    EditSshPublicKeyComment,
    ListSshPublicKeys,
    SetOsUserPassword,
)


urlpatterns = [
    url(r'^(?P<slug>[\w0-9@.+-_]+)/setpassword$', SetOsUserPassword.as_view(),
        name='set_osuser_password'),
    url(r'^(?P<package>\d+)/ssh-keys/$', ListSshPublicKeys.as_view(),
        name='list_ssh_keys'),
    url(r'^(?P<package>\d+)/ssh-keys/add$', AddSshPublicKey.as_view(),
        name='add_ssh_key'),
    url(r'^(?P<package>\d+)/ssh-keys/(?P<pk>\d+)/edit-comment$',
        EditSshPublicKeyComment.as_view(), name='edit_ssh_key_comment'),
    url(r'^(?P<package>\d+)/ssh-keys/(?P<pk>\d+)/delete$',
        DeleteSshPublicKey.as_view(), name='delete_ssh_key'),
]
