"""
This module defines the URL patterns for user database views.

"""
from __future__ import absolute_import, unicode_literals

from django.conf.urls import url

from .views import (
    AddUserDatabase,
    ChangeDatabaseUserPassword,
    DeleteUserDatabase,
)

urlpatterns = [
    url(r'^(?P<package>\d+)/create$',
        AddUserDatabase.as_view(), name='add_userdatabase'),
    url(r'^(?P<package>\d+)/(?P<slug>[\w0-9]+)/setpassword',
        ChangeDatabaseUserPassword.as_view(), name='change_dbuser_password'),
    url(r'^(?P<package>\d+)/(?P<slug>[\w0-9]+)/delete',
        DeleteUserDatabase.as_view(), name='delete_userdatabase'),
]
